#include <stdio.h>
#include <sys/utsname.h>

int main() {
	struct utsname buf;

	if (uname(&buf) >= 0) {
		printf("Host: %s\n", buf.nodename);
		printf("OS: %s\n", buf.sysname);
		printf("Release: %s\n", buf.release);
		printf("Version: %s\n", buf.version);
		printf("Hardware: %s\n", buf.machine);
	}

	return 0;
}
